import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pmd_lab/presentation/home_page/bloc/bloc.dart';
import 'package:pmd_lab/presentation/home_page/home_page.dart';
import 'package:pmd_lab/repositories/potter_repository.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: 'Potter App',
        theme: ThemeData(
          primarySwatch: Colors.orange,
          scaffoldBackgroundColor: Colors.white,
          useMaterial3: true,
        ),
        home: RepositoryProvider<PotterRepository>(
          lazy: true,
          create: (_) => PotterRepository(),
          child: BlocProvider<HomeBloc>(
            lazy: true,
            create: (context) => HomeBloc(context.read<PotterRepository>()),
          ),
        ));
  }
}
